ome-xml 5.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ome::xml::model::primitives::ConstrainedNumericError Struct Reference

Default error handler for ConstrainedNumeric. More...

`#include <ome/xml/model/primitives/ConstrainedNumeric.h>`

## Public Member Functions
template<typename T >
void | operator() (const T &value, const std::string &typestr)
| Throw an exception. More...

## Detailed Description

Default error handler for ConstrainedNumeric.

This does nothing but throw an invalid_argument exception.

## Member Function Documentation

template<typename T >

void ome::xml::model::primitives::ConstrainedNumericError::operator() | ( | const T & | value,
|  | const std::string & | typestr
| ) |  |
| inline

Throw an exception.

The exception string includes the type name and the invalid value.

Parameters

  value | the invalid value.
  typestr | the type name.

The documentation for this struct was generated from the following file:

- ome/xml/model/primitives/ConstrainedNumeric.h